       TITLE 'APPLICATION REGION REQUEST HANDLER'
      *****************************************************************
      *                                                               *
      * MODULE NAME = IJMRHAND                                        *
      *                                                               *
      * DESCRIPTIVE NAME = A CICS AOR REQUEST HANDLER                 *
      *                                                               *
      * STATUS = SUPPORTED BY CICS TRANSACTION SERVER 1.3 OR LATER    *
      *                                                               *
      *---------------------------------------------------------------*
      *                                                               *
      * CHANGE ACTIVITY :                                             *
      *                                                               *
      * 210202  IJM   : Created                                       *
      *                                                               *
      *---------------------------------------------------------------*
      *****************************************************************
      *             PROGRAM DESCRIPTION                               *
      *****************************************************************
      *                                                               *
      * ...                                                           *
      *****************************************************************
       IDENTIFICATION DIVISION.
       PROGRAM-ID.  IJMRHAND.
      *
       AUTHOR.      IBM.
      *
       DATE-COMPILED.
      *
      *REMARKS.
      *****************************************************************
      *                                                               *
      *                                                               *
      *****************************************************************
      *
       ENVIRONMENT DIVISION.
      *
       CONFIGURATION SECTION.
      *
       SPECIAL-NAMES.
      *
       DATA DIVISION.

       WORKING-STORAGE SECTION.

       01  WS-START                        PIC X(44)
           VALUE '*** IJMRHAND WORKING STORAGE STARTS HERE ***'.

       COPY IJMRCON.

       01  RETURN-DATA.
           02 DATA-LENGTH PIC 9(8) COMP.
           02 DATA-CONTENT.
           03 FILLER PIC X(9)  VALUE 'HTTP/1.0'.
           03 FILLER PIC X(6)  VALUE '200 OK'.
           03 FILLER PIC X(02) VALUE X'0D25'.
           03 FILLER PIC X(23) VALUE 'Content-Type: text/html'.
           03 FILLER PIC X(04) VALUE X'0D250D25'.
           03 FILLER PIC X(22) VALUE '<!doctype html public '.
           03 FILLER PIC X(27) VALUE '"-//W3C//DTD HTML 3.2//EN">'.
           03 FILLER PIC X(02) VALUE X'0D25'.
           03 FILLER PIC X(12) VALUE '<html><head>'.
           03 FILLER PIC X(02) VALUE X'0D25'.
           03 FILLER PIC X(17) VALUE '<title>IJM REQH -'.
           03 FILLER PIC X(26) VALUE ' CICS Transaction Server -'.
           03 FILLER PIC X(27) VALUE ' BTS Request Handler Sample'.
           03 FILLER PIC X(08) VALUE '</title>'.
           03 FILLER PIC X(02) VALUE X'0D25'.
           03 FILLER PIC X(13) VALUE '</head><body>'.
           03 FILLER PIC X(02) VALUE X'0D25'.
           03 FILLER PIC X(18) VALUE 'Greetings from the'.
           03 FILLER PIC X(27) VALUE ' BTS Request Handler Sample'.
           03 FILLER PIC X(02) VALUE X'0D25'.
           03 FILLER PIC X(14) VALUE '</body></html>'.
           03 FILLER PIC X(02) VALUE X'0D25'.
      *
       LINKAGE SECTION.
      *
       PROCEDURE DIVISION.

      ******************************************************************
      *BEGIN-PROCESS                                                   *
      ******************************************************************
       BEGIN-PROCESS.

               MOVE LENGTH OF RETURN-DATA TO DATA-LENGTH.
               EXEC CICS PUT CONTAINER(PROCESS-OUTPUT)
                             FROM(RETURN-DATA)
               END-EXEC.
      ******************************************************************
      *DUMMY-GOBACK                                                    *
      *BECAUSE SOME COMPILERS NEED IT                                  *
      ******************************************************************
       DUMMY-GOBACK.
            GOBACK.
      *
